<!DOCTYPE html>
<html>
<head>
    <title>Akce!</title>
    <link rel="stylesheet" href="view.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
    
<body>
<script>
    var kopy=0;
    var score=0;
    var pokusy=0;

    function getCookie(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for(var i = 0; i <ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    }

    if(getCookie("kopy")) {
        kopy = parseInt(getCookie("kopy"));
    }

    if(getCookie("score")) {
        score = parseFloat(getCookie("score"));
    }

    function kop(x) {
        if(pokusy<1) {
            alert("Je potřeba znovu hodit kostky");
        }
        else {
            var strike = new Audio('strike.wav');
            strike.volume = x / 2.7;
            strike.play();
            kopy = kopy + 1;
            score = score + x;
            document.getElementById("kopy").textContent = kopy;
            document.getElementById("odmena").textContent = Math.round(600-(60000/(score+100)));
            document.cookie = "kopy="+kopy+"; max-age=9000;";
            document.cookie = "score="+score+"; max-age=9000;";
            pokusy = pokusy - 1;
        }
    }
   /* 
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
    //        document.getElementById("demo").innerHTML = this.responseText;
        }
    };
    xhttp.open("GET", "demo_get2.asp?fname=Henry&lname=Ford", true);
    xhttp.send();*/
</script>
    
<!--input type="image" src="close_btn.png" name="konec" style="width: 45px; position: absolute; right: 5px; top: 5px;" onclick="konec()" alt="Odejít"/>-->     
    
<div>    
<h1>Tvůj stav</h1>
    <p>Zaznamenala jsi <span id="kopy"></span> kopů.</p>
    <p>Tvůj bonus je <span id="odmena"></span> Kč.</p>
</div>

<div>    
<h1>Zaznamenat kop</h1>    
<div style="text-align: center;">    
<button type="button" id="min" style="background-color: greenyellow;" onclick="kop(1);">Něžný kop</button><br>    
<button type="button" id="vic" style="background-color: yellow;" onclick="kop(2.2);">Střední kop</button><br>    
<button type="button" id="nej" style="background-color: red;"  onclick="kop(2.7);">Krutý kop</button>  
</div>
        <p style="font-size: 90%;">Ohodnoť každý kop podle účinnosti.</p>
</div>
    
<div style="margin: auto;">    
<h1>Hoď kostky</h1>
<div style="text-align: center">  
    <img id="dice1" alt="1. kostka" style="width: 30%" onclick="hod();">    
    <img id="dice2"  alt="2. kostka" style="width: 30%"  onclick="hod();">
</div>
    <p id="hide" style="font-size: 90%;">Kliknutím na kostky vrhneš znovu.</p>
</div> 
    
<script>
    function hod() {
        var dice = new Audio('dice.wav');
        dice.play();
        var a = Math.floor(Math.random() * 6) + 1;
        var b = Math.floor(Math.random() * 6) + 1;
        var kostka1 = document.getElementById("dice1");
        var kostka2 = document.getElementById("dice2");
        switch (a) {
            case 1: kostka1.src = "one.jpg"; break;
            case 2: kostka1.src = "two.jpg"; break;
            case 3: kostka1.src = "three.jpg"; break;
            case 4: kostka1.src = "four.jpg"; break;
            case 5: kostka1.src = "five.jpg"; break;
            case 6: kostka1.src = "six.jpg"; break;  
        }
         switch (b) {
            case 1: kostka2.src = "one.jpg"; break;
            case 2: kostka2.src = "two.jpg"; break;
            case 3: kostka2.src = "three.jpg"; break;
            case 4: kostka2.src = "four.jpg"; break;
            case 5: kostka2.src = "five.jpg"; break;
            case 6: kostka2.src = "six.jpg"; break;  
        }
        pokusy = a + b;
    }
    function konec() {
        window.location.href = "login.html";
    }
</script> 
<script>
    hod();
    document.getElementById("kopy").textContent = kopy;
    document.getElementById("odmena").textContent = Math.round(600-(60000/(score+100)));
</script> 
</body>
</html>
